Page MenuHomeFreeBSD

fbt: Add support for CTFv3 containers
ClosedPublic

Authored by markj on Feb 23 2022, 11:50 PM.
Tags
None
Referenced Files
Unknown Object (File)
Jan 14 2024, 9:14 AM
Unknown Object (File)
Dec 27 2023, 12:37 AM
Unknown Object (File)
Dec 21 2023, 10:09 PM
Unknown Object (File)
Dec 21 2023, 10:09 PM
Unknown Object (File)
Dec 21 2023, 10:09 PM
Unknown Object (File)
Dec 21 2023, 9:57 PM
Unknown Object (File)
Dec 20 2023, 2:08 AM
Unknown Object (File)
Dec 10 2023, 10:08 PM
Subscribers

Details

Reviewers
None
Group Reviewers
DTrace
Commits
rGd9175438c0e7: fbt: Add support for CTFv3 containers
Summary

The general aim in this and subsequent patches is to minimize the
amount of code that directly references CTF types such as ctf_type_t,
ctf_array_t, etc. To that end, introduce some routines similar to the
existing fbt_get_ctt_size() (which exists to deal with differences
between v1 and v2) and change ctf_lookup_by_id() to return a void
pointer.

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Passed
Unit
No Test Coverage
Build Status
Buildable 44555
Build 41443: arc lint + arc unit

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Mar 7 2022, 3:44 PM
This revision was automatically updated to reflect the committed changes.